明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2595|回复: 6

多段线的长度用什么属性获得?

[复制链接]
发表于 2003-6-10 18:18:00 | 显示全部楼层 |阅读模式
本帖最后由 作者 于 2003-6-10 18:18:56 编辑

多段线和spline的长度用什么属性获得?
发表于 2003-6-11 09:35:00 | 显示全部楼层

Length

 楼主| 发表于 2003-6-11 09:53:00 | 显示全部楼层

不行呀,

直线可以,圆弧用object.arclength
多段线和曲线就不知道了
发表于 2003-6-11 15:05:00 | 显示全部楼层

下面的代码:

Sub GetLength()
    '创建多段线
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    '定义点
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
        
    '在模型空间创建多段线
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll

    MsgBox "多段线的长度是:" & plineObj.Length
End Sub
 楼主| 发表于 2003-6-12 19:26:00 | 显示全部楼层

运行出错,对象不支持该属性或方法

下面的代码:
Sub GetLength()
    '创建多段线
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
     
    '定义点
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
         
    '在模型空间创建多段线
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll

    MsgBox "多段线的长度是:" & plineObj.Length    '''此处出错
End Sub
发表于 2003-6-12 20:30:00 | 显示全部楼层

Length属性在2002及以前版本只支持直线,而2004版后增加支持了多段线

详见:http://www.mjtd.com/object/acad2004/idh_length.htm
发表于 2003-6-13 13:35:00 | 显示全部楼层

RE

zfbj的程序是对的,我刚运行过。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 16:53 , Processed in 0.185621 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表